﻿@{
    Layout = null;
}
<style>
   
    /*increase the height of the month view cells*/
    .k-scheduler-monthview .k-scheduler-table td {
        height: {{Size}};
    }

    .jb-confirm > div > div {
        width: 20%;
        height: auto;
        margin-left: 38%;
        padding-top: 20px;
        padding-bottom: 20px;
        padding-right: 10px;
        padding-left: 10px;
    }

    /*.k-scheduler-times{
        font-size: 11px;
    }*/


    .k-scheduler-content div.k-event {
        background-color: white;
        color: black;
    }

    /*Remove border items*/
    .k-event, .k-more-events {
        border-style: none;
    }

    .div .k-event[role=gridcell] {
        background-color: white;
    }

    /*change background color today*/
    .k-scheduler-table .k-today {
        background-color: #eee
    }

    /*change color header days*/
    .k-scheduler-table {
        color: black;
    }

    /*change color text header calendar*/
    .k-link:link, .k-link:visited, .k-nav-current.k-state-hover .k-link {
        color: black;
    }

    .greenStatus {
        width: 8px;
        height: 8px;
        border-radius: 50%;
        margin-right: 3px;
        display: inline-block;
        background: #1aca1a;
    }

    .redStatus {
        width: 8px;
        height: 8px;
        border-radius: 50%;
        margin-right: 3px;
        display: inline-block;
        background-color: red;
    }

</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Program calendar
            </h1>
        </div>
        <div class="actions">

        </div>
        <div class="clearfix"></div>
        <hr />

        <div ng-hide="isInSeasonMode()" style="margin-bottom:30px">
            <div class="place-left one-fourth padding-right20">
                <label style="font-weight: bold">Season</label>
                <div class="input-control select" data-role="input-control">
                    <select chosen
                            multiple
                            ng-model="seasonIds"
                            ng-change="runCalendar()"
                            data-placeholder="Select seasons"
                            ng-options="obj.Value as obj.Text group by obj.Group for obj in AllSeasons"></select>
                </div>
            </div>
            <br />
            <div class="clearfix"></div>

        </div>


        <div class="div-scroll" style="min-height:610px;">
            <div id="scheduler" kendo-scheduler k-options="schedulerOptions">
                <div k-event-template class='custom-event' id="event-template">
                    <div ng-click="showPopup(dataItem)" class="k-link" id="title" title="{{showTooltip(dataItem)}}" style="white-space: nowrap; overflow: hidden; font-size: 12px; padding-top: 4px">

                        
                        <div class="redStatus" ng-show="dataItem.isFull"></div>
                        <div class="greenStatus" ng-show="!dataItem.isFull"></div>

                        <div ng-show="currentView == 'month'" style="display: inline-block"> {{dataItem.strStartTime}} {{dataItem.title}} </div>
                        <div ng-show="currentView == 'timeline'" style="display: inline-block"> {{dataItem.title}} </div>
                        <div ng-show="currentView == 'agenda'" style="display: inline-block">
                            <div>
                                {{dataItem.title}}
                            </div>
                            <div>
                                <span ng-show="dataItem.capacity != 'Unlimited' && dataItem.capacity != ''"> Sold {{dataItem.enrollment}}/{{dataItem.capacity}} </span>
                                <span ng-show="dataItem.capacity == 'Unlimited' || dataItem.capacity == ''"> Sold {{dataItem.enrollment}} </span>
                            </div>
                        </div>
                        <div ng-show="currentView == 'day' || currentView == 'week'" style="display: inline-block">
                            <div>
                                {{dataItem.title}} {{dataItem.strStartTime}}
                            </div>
                            <div>
                                <span ng-show="dataItem.capacity != 'Unlimited' && dataItem.capacity != ''"> Sold {{dataItem.enrollment}}/{{dataItem.capacity}} </span>
                                <span ng-show="dataItem.capacity == 'Unlimited' || dataItem.capacity == ''"> Sold {{dataItem.enrollment}} </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <div class="clearfix"></div>

    <div ng-if="showProgramActions && MC.isAllowedAction('ProgramCalendar_Action')" ng-class="{'active':showProgramActions}" class="jb-confirm">
        <div>
            <div style="background-color: white; border: 4px solid #ccc">
                <div>
                    <div ng-click="dismissPopup()" class="jbi-cancel k-link" style="padding: 10px; position: absolute; right: 0; top: 0; color: #8a8989">
                    </div>
                    <div>
                        <h5 style="padding-left: 10px">
                            <span style="display: block; font-weight: bold; font-size: 17px; line-height: 23px;"> {{Model.title}} </span>
                            <br />
                            <span style="display: block; color: #7d7a7a" ng-if="Model.strStartTime != null"> {{Model.strStartTime}} - {{Model.strEndTime}} </span>
                            <br/>
                            <span style="display: block; color: #7d7a7a">
                                <span ng-if="Model.capacity != 'Unlimited' && Model.capacity != ''"> Sold {{Model.enrollment}}/{{Model.capacity}} </span>
                                <span ng-if="Model.capacity == 'Unlimited' || Model.capacity == ''"> Sold {{Model.enrollment}} </span>
                            </span>
                        </h5>
                    </div>
                    <hr />
                    <ul style="margin-left: 10px">
                        <li style="margin-bottom: 10px" class='k-link jbi-show' ng-click="viewProgram()"> <span style="margin-left: 5px"> View </span> </li>
                        <li style="margin-bottom: 10px" class='k-link jbi-orders' ng-click="viewOrders()"> <span style="margin-left: 5px"> Orders </span> </li>
                        <li style="margin-bottom: 10px" class='k-link jbi-user-info' ng-click="rosterReport()"> <span style="margin-left: 5px"> Roster - advanced </span> </li>
                        <li style="margin-bottom: 10px" class='k-link jbi-list-num' ng-click="waitList()"> <span style="margin-left: 5px"> Waitlist </span> </li>
                        <li ng-hide="Model.HideOutSourceProgramInProvider" style="margin-bottom: 10px" class='k-link jbi-register' ng-click="offlineRegister()"> <span style="margin-left: 5px"> Offline register </span> </li>
                    </ul>
                </div>

            </div>
        </div>
    </div>


</div>
